# BasicDebugger.cpp File Reference

`#include "BasicDebugger.h"`
`#include "BasicProcess.h"`
`#include "BasicString.h"`
`#include "BasicException.h"`
`#include <unistd.h>`
`#include <sys/types.h>`
`#include <sys/wait.h>`
`#include <sys/stat.h>`
`#include <fcntl.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <sstream>`

Include dependency graph for BasicDebugger.cpp:

## Namespaces

namespace | std

## Defines

#define | BUF_SIZE 2048

## Define Documentation

#define BUF_SIZE 2048